<?php
session_start();

$idx=_caracterborra($_POST['idx']);
$sql_exis_tmp='select count(*) total_t from usrt0 where usrt_status="0" and  usrt_codigo="'.$idx.'"';

$res_exis_tmp=$lynk_demo->query($sql_exis_tmp);
$total_t=mysqli_result($res_exis_tmp,0,'total_t');
if(empty($idx))
{
	die('{"error":"1","msg":"identificador invalido"}');
}
if($total_t == 0)
{
	die('{"error":"2","msg":"ud ya esta registrado"}');
}

$sql_uptmp='update usrt0 set usrt_status="1" where usrt_codigo="'.$idx.'"';

if(!$lynk_demo->query($sql_uptmp))
{
	die('{"error":"3","msg":"ocurrio un error al actualizar"}');
}

$sql_existe_usr='select COUNT(*)as existe from user0 where user_codigo="'.$idx.'"';
$res_exis_usr=$lynk_demo->query($sql_existe_usr);
$existe_usr=mysqli_result($res_exis_usr,0,'existe');

if($existe_usr!=0)
{
	die('{"error":"4","msg":"ud ya esta registrado!"}');
}
//$sql_exis_tmp='select * from usrt0 where  usrt_cedula="'.$_GET['ci'].'"';
$sql_exis_tmp='select * from usrt0 where  usrt_codigo="'.$idx.'"';
$res_exis_tmp=$lynk_demo->query($sql_exis_tmp);
		
$sql_entidad_insert='insert into user0(
	user_descri,user_cedula,user_clave,user_email,user_idate)
	values(
	"'.mysqli_result($res_exis_tmp,0,'usrt_descri').'",
	"",
	"'.mysqli_result($res_exis_tmp,0,'usrt_clave').'",
	"'.mysqli_result($res_exis_tmp,0,'usrt_email').'",
    NOW())';
		
if($lynk_demo->query($sql_entidad_insert))
{
	$_SESSION['user_vcrx_id']=$idx;
	$_SESSION['user_vcrx_descri']=mysqli_result($res_exis_tmp,0,'usrt_descri');
	$_SESSION['user_vcrx_tipo']=mysqli_result($res_exis_tmp,0,'usrt_tipo');
	$_SESSION['user_vcrx_empr']=$empr_codigo;
	$sql_empr='select *from empr1';
	$res_empr=$lynk_demo->query($sql_empr);
	$_SESSION['user_vcrx_lguia']=mysqli_result($res_empr,0,'empr_lguia');
	$_SESSION['user_vcrx_razsoc']=mysqli_result($res_empr,0,'enti_razsoc');
	$_SESSION['user_vcrx_nomcom']=mysqli_result($res_empr,0,'enti_nomcom');
	die('{"error":"0","msg":"Bienvenido"}');
}
else
{
	die('{"error":"5","msg":"error de lectura"}');
}
?>
